#!/bin/sh

##Conventional PET install for PupClockset

	if [ "`ls $HOME/.icewm/preferences`" ]; then
	cp $HOME/.icewm/preferences $HOME/.icewm/preferences-bak
	fi

	if [ "`ls $HOME/.jwmrc-tray`" ]; then
	cp $HOME/.jwmrc-tray $HOME/.jwmrc-tray-bak
	fi

	if [ "`ls $HOME/.config/fbpanel/default`" ]; then
	cp $HOME/.config/fbpanel/default $HOME/.config/fbpanel/default-bak
	fi

	if [ "`ls /usr/sbin/pfbpanel`" ]; then
	cp /usr/sbin/pfbpanel /usr/sbin/pfbpanel-bak
	fi

	[ "`cat $HOME/.icewm/preferences | grep PupClockset`" = "" ] && cat $HOME/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile && mv -f tmpfile $HOME/.icewm/preferences
	[ "`pidof icewm`" ] && killall -HUP icewm

	[ "`cat $HOME/.jwmrc-tray | grep PupClockset`" = "" ] && cat $HOME/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%l:%M %p">PupClockset<\/Clock>/' > tmpfile && mv -f tmpfile $HOME/.jwmrc-tray
	[ "`pidof jwm`" ] && jwm -restart

	[ "`cat $HOME/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' $HOME/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile $HOME/.config/fbpanel/default
	[ "`cat /usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`pidof fbpanel`" ] && /usr/sbin/pfbpanel refresh

	# assure 6-dpi font increments in /usr/sbin/set-xftdpi (correction for fluppy variance)
	if [ "`ls /usr/sbin/set-xftdpi-bak`" = "" ]; then cp -f /usr/sbin/set-xftdpi /usr/sbin/set-xftdpi-bak & fi
	if [ "`cat /usr/sbin/set-xftdpi | grep "126 130"`" != "" ]; then
	cat /usr/sbin/set-xftdpi | sed 's/^.*for ONEDPI in.*$/for ONEDPI in 54 60 66 72 78 84 90 96 102 108 114 120 126 132 138 144 150/' > /tmp/tmpfile && mv -f /tmp/tmpfile /usr/sbin/set-xftdpi && chmod 755 /usr/sbin/set-xftdpi & fi

	# copy 64-bit rgb2hex to 64-bit Puppy derivatives (fatdog64 & lighthouse64)
	[ ! "`cat /etc/DISTRO_SPECS | grep 'Fatdog64\|Lighthouse64'`" = "" ] && mv -f /tmp/rgb2hex /usr/sbin/

##Conventional PET install for PupControl

#---If PupControl is already installed, do not overwrite current configuration files
	if [ -f /usr/local/PupControl/pupcontrol.rc ]; then
	 rm -rf /tmp/PCONTROL-install/
	else
	 mkdir -p /usr/local/PupControl/defaultapps/
	 mv -f /tmp/PCONTROL-install/defaultapps/* /usr/local/PupControl/defaultapps/
	 mv -f /tmp/PCONTROL-install/*.rc /usr/local/PupControl/
	 rm -rf /tmp/PCONTROL-install/
	fi
	
